using System;
using Microsoft.SPOT;

namespace SwimTrainer
{
	//internal static class Utilities
	//{
	//    public static string NumberFormatter(int Number, int Characters)
	//    {
	//        char[] chars = new char[Characters];
	//        string str = Number.ToString();
	//        if(str.Length >= Characters)
	//            return str;
	//        for(int i = 0; i < chars.Length-str.Length; i++)
	//            chars[i] = ' ';
	//        for(int i = chars.Length-str.Length; i < chars.Length; i++)
	//        {
	//            chars[i] = str[i - (chars.Length - str.Length)];
	//        }
	//        return new string(chars);
	//    }
	//}


	internal class TimeSpanFormatter
	{
		char[] _PlaceHolder = new char[] { '0', '0', ':', '0', '0', ':', '0', '0' };
		public string GetFormattedTime(TimeSpan Elapsed, bool IncludeMilliseconds)
		{
			string ms = Elapsed.Milliseconds.ToString();
			SetPlaceHolder(0, Elapsed.Minutes);
			SetPlaceHolder(3, Elapsed.Seconds);
			if(IncludeMilliseconds)
			{
				SetPlaceHolder(6, Elapsed.Milliseconds);
				return new string(_PlaceHolder);
			}
			return new string(_PlaceHolder, 0, 5);
		}
		private void SetPlaceHolder(int Start, int num)
		{
			string str = num.ToString();
			if(str.Length == 1)
			{
				_PlaceHolder[Start] = '0';
				_PlaceHolder[Start + 1] = str[0];
				return;
			}
			_PlaceHolder[Start] = str[0];
			_PlaceHolder[Start + 1] = str[1];
		}

	}
}
